View Issue Details

IDProjectCategoryView StatusLast Update
0002848SymmetricDS ProImprovementpublic2016-10-11 09:00
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.6Fixed in Version3.8.6 
Summary0002848: Use lower transaction isolation for dashboard, outgoing loads, outgoing/incoming batch screens
DescriptionUse uncommitted reads for dashboard, outgoing loads, outgoing/incoming batch screens to prevent contention with routing and batch syncing.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 33cad208

2016-10-05 16:49:44

admin

Details Diff
0002848: Use lower transaction isolation for dashboard, outgoing loads,
outgoing/incoming batch screens

0002848
mod - symmetric-android/src/main/java/org/jumpmind/symmetric/android/AndroidDatabasePlatform.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AbstractService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/IncomingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/StatisticService.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/IDatabasePlatform.java Diff File
mod - symmetric-db/src/test/java/org/jumpmind/db/platform/AbstractDatabasePlatformTest.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/AbstractJdbcDatabasePlatform.java Diff File

SymmetricDS: 3.8 1f9aa8ca

2016-10-07 16:26:19

admin

Details Diff
0002848: Use lower transaction isolation for dashboard, outgoing loads,
outgoing/incoming batch screens

0002848
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/oracle/OracleDatabasePlatform.java Diff File

SymmetricDS: 3.8 17f529e7

2016-10-11 08:50:45

admin

Details Diff
0002848: Use lower transaction isolation for dashboard, outgoing loads,
outgoing/incoming batch screens

0002848
mod - symmetric-server/src/test/java/org/jumpmind/symmetric/test/SimpleIntegrationTest.java Diff File

Issue History

Date Modified Username Field Change
2016-10-05 16:45 elong New Issue
2016-10-05 16:45 elong Status new => assigned
2016-10-05 16:45 elong Assigned To => elong
2016-10-05 16:50 elong Status assigned => resolved
2016-10-05 16:50 elong Fixed in Version => 3.8.6
2016-10-05 16:50 elong Resolution open => fixed
2016-10-05 17:00 admin Changeset attached => SymmetricDS 3.8 33cad208
2016-10-06 20:03 admin Status resolved => closed
2016-10-07 17:00 admin Changeset attached => SymmetricDS 3.8 1f9aa8ca
2016-10-11 09:00 admin Changeset attached => SymmetricDS 3.8 17f529e7